Skip to main content

Update Environment File Config

PUT 

/v1/environment/:environment_id/file

Update file configuration for a specific environment

Request

Path Parameters

    environment_id uuidrequired

    The environment ID for this request

Body

required

    match_file_ttl_days Match File Ttl Days (integer)

    Default value: 2

    How long a file associated with a match lives in days

    match_developer_file_ttl_days Match Developer File Ttl Days (integer)

    Default value: 1

    How long a developer file associated with a match lives in days

    allow_files_for_match Allow Files For Match (boolean)

    Default value: true

    If files are allowed to be uploaded for matches

    allow_developer_files_for_match Allow Developer Files For Match (boolean)

    Default value: true

    If developer files are allowed to be uploaded for matches

Responses

Successful Response

Loading...